# -*- mode: makefile; coding: utf-8 -*-

# mozconfig.default
# default settings for the various builds of Mozilla applications
# 
# This file is needed to build multiple applications from the source.
# It set up some variables that are used in all builds, or they will be
# overridden later by some builds. The Mozilla build system supports various
# builds from the same source by separate obj-$directorys.
# Further information around the multiple applications build can be found
# on
#
#   https://developer.mozilla.org/en-US/docs/Configuring_Build_Options#Building_with_an_Objdir
#
# The application specific obj-dir is set up within the separate
#      mozconfig.$APPLICATION file!

# use/use not packaged software instead of preshipped
ac_add_options --without-system-jpeg   # Debian version causes issues on mips*
ac_add_options --with-system-icu
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-librnp
ac_add_options --with-system-zlib

# other packaged software
ac_add_options --with-system-libevent
ac_add_options --with-system-libvpx

# disabled features
ac_add_options --disable-bootstrap
ac_add_options --disable-install-strip
ac_add_options --disable-strip
ac_add_options --disable-tests
ac_add_options --disable-updater
ac_add_options --disable-webrtc
ac_add_options --without-wasm-sandboxed-libraries

# enabled features
ac_add_options --allow-addon-sideload
ac_add_options --enable-av1
ac_add_options --enable-default-toolkit=cairo-gtk3-wayland
ac_add_options --enable-official-branding # use the official artwork
ac_add_options --enable-optimize
ac_add_options --enable-system-ffi
ac_add_options --with-unsigned-addon-scopes=app,system

# Debian specific things
PARALLEL_BUILD=$(echo $DEB_BUILD_OPTIONS | sed -e '/parallel=/!s/.*/1/;s/.*parallel=\([0-9]\+\).*/\1/g')
mk_add_options MOZ_MAKE_FLAGS="-j$PARALLEL_BUILD"
ac_add_options --disable-debug
ac_add_options --host=$DEB_HOST_GNU_TYPE

# some platform depended things
case `dpkg --print-architecture` in
  alpha)
    ac_add_options --enable-optimize=-O1
    ;;
#  amd64)
#    ac_add_options --enable-crashreporter
#    ;;
  arm64)
    ac_add_options --enable-optimize=-O1
    ;;
  armel)
    ac_add_options --enable-optimize=-O1
#    ac_add_options --enable-crashreporter
    ;;
  armhf)
    ac_add_options --enable-optimize=-O1
#    ac_add_options --enable-crashreporter
    ;;
  hurd-i386)
    ac_add_options --disable-necko-wifi
    ;;
  hppa)
    ac_add_options --disable-optimize
    ac_add_options --with-intl-api
    ;;
  i386)
#    ac_add_options --enable-crashreporter
    ;;
  ia64)
    ac_add_options --enable-optimize=-O2
    ;;
  kfreebsd-i386)
    ac_add_options --disable-necko-wifi
    ;;
  kfreebsd-amd64)
    ac_add_options --disable-necko-wifi
    ;;
  m68k)
    ac_add_options --with-intl-api
    ;;
  mips)
    ac_add_options --with-intl-api
    ac_add_options --disable-ion
    ;;
  mips64el)
    ac_add_options --with-intl-api
    ac_add_options --disable-jit
    ;;
  mipsel)
    ac_add_options --with-intl-api
    ac_add_options --disable-jit
    ;;
  powerpc)
    ac_add_options --with-intl-api
    ;;
  powerpcspe)
    ac_add_options --with-intl-api
    ;;
  ppc64)
    ac_add_options --disable-optimize
    ac_add_options --with-intl-api
    ;;
  ppc64el)
    ac_add_options --with-intl-api
    ;;
  sh4)
    ac_add_options --disable-pie
    ;;
  sparc)
    ac_add_options --enable-optimize=-O1
    ac_add_options --with-intl-api
    ;;
  sparc64)
    ac_add_options --with-intl-api
    ;;
  s390x)
    ac_add_options --enable-optimize=-O1
    ac_add_options --with-intl-api
    ;;
esac
